Bug 1257356 - [abrt] trojita: QList<Imap::Commands::PartOfCommand>::QList(): trojita killed by SIGSEGV
[abrt] trojita: QList<Imap::Commands::PartOfCommand>::QList(): trojita killed...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: qt5-qtbase (Show other bugs)
21
x86_64 Unspecified
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e7ff5ec5014c04b2325c4b92a44...
:
: 1257358 (view as bug list)
Depends On: 1266712
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-26 17:28 EDT by Raphael Groner
Modified: 2015-12-02 13:17 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:08:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (58.10 KB, text/plain)
2015-08-26 17:28 EDT, Raphael Groner
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-26 17:28 EDT, Raphael Groner
no flags Details
File: dso_list (13.01 KB, text/plain)
2015-08-26 17:28 EDT, Raphael Groner
no flags Details
File: environ (1.41 KB, text/plain)
2015-08-26 17:28 EDT, Raphael Groner
no flags Details
File: exploitable (100 bytes, text/plain)
2015-08-26 17:28 EDT, Raphael Groner
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-26 17:28 EDT, Raphael Groner
no flags Details
File: maps (66.26 KB, text/plain)
2015-08-26 17:28 EDT, Raphael Groner
no flags Details
File: open_fds (1.42 KB, text/plain)
2015-08-26 17:28 EDT, Raphael Groner
no flags Details
File: proc_pid_status (952 bytes, text/plain)
2015-08-26 17:28 EDT, Raphael Groner
no flags Details

  None (edit)
Description Raphael Groner 2015-08-26 17:28:40 EDT
Description of problem:
lost or instable wifi connection

Version-Release number of selected component:
trojita-0.5-6.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/bin/trojita
crash_function: QList<Imap::Commands::PartOfCommand>::QList
executable:     /usr/bin/trojita
kernel:         4.0.8-200.fc21.x86_64
runlevel:       N 5
type:           CCpp

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QList<Imap::Commands::PartOfCommand>::QList at /usr/include/qt5/QtCore/qlist.h:746
 #1 Command at /usr/src/debug/trojita-0.5/src/Imap/Parser/Command.h:93
 #2 QLinkedListNode at /usr/include/qt5/QtCore/qlinkedlist.h:65
 #3 QLinkedList<Imap::Commands::Command>::detach_helper2 at /usr/include/qt5/QtCore/qlinkedlist.h:275
 #4 detach at /usr/include/qt5/QtCore/qlinkedlist.h:99
 #5 QLinkedList<Imap::Commands::Command>::append at /usr/include/qt5/QtCore/qlinkedlist.h:366
 #6 Imap::Parser::queueCommand at /usr/src/debug/trojita-0.5/src/Imap/Parser/Parser.cpp:614
 #7 Imap::Parser::list at /usr/src/debug/trojita-0.5/src/Imap/Parser/Parser.cpp:241
 #8 Imap::Mailbox::ListChildMailboxesTask::perform at /usr/src/debug/trojita-0.5/src/Imap/Tasks/ListChildMailboxesTask.cpp:81
 #9 Imap::Mailbox::ImapTask::_completed at /usr/src/debug/trojita-0.5/src/Imap/Tasks/ImapTask.cpp:230
Comment 1 Raphael Groner 2015-08-26 17:28:43 EDT
Created attachment 1067414 [details]
File: backtrace
Comment 2 Raphael Groner 2015-08-26 17:28:44 EDT
Created attachment 1067415 [details]
File: cgroup
Comment 3 Raphael Groner 2015-08-26 17:28:45 EDT
Created attachment 1067416 [details]
File: dso_list
Comment 4 Raphael Groner 2015-08-26 17:28:46 EDT
Created attachment 1067417 [details]
File: environ
Comment 5 Raphael Groner 2015-08-26 17:28:48 EDT
Created attachment 1067418 [details]
File: exploitable
Comment 6 Raphael Groner 2015-08-26 17:28:49 EDT
Created attachment 1067419 [details]
File: limits
Comment 7 Raphael Groner 2015-08-26 17:28:51 EDT
Created attachment 1067420 [details]
File: maps
Comment 8 Raphael Groner 2015-08-26 17:28:52 EDT
Created attachment 1067421 [details]
File: open_fds
Comment 9 Raphael Groner 2015-08-26 17:28:53 EDT
Created attachment 1067422 [details]
File: proc_pid_status
Comment 10 Raphael Groner 2015-09-16 01:34:30 EDT
Backtrace lets assume a bug in QtCore. Reassigning.

Possible duplication: rhbz#1257358
Comment 11 Raphael Groner 2015-09-16 01:36:48 EDT
*** Bug 1257358 has been marked as a duplicate of this bug. ***
Comment 12 Kevin Kofler 2015-09-16 19:40:06 EDT
Crashes in such core QtCore data structure classes are almost certainly an application bug (use-after-free or the like). Have you tried running Trojita in Valgrind?
Comment 13 Raphael Groner 2015-09-26 16:05:46 EDT
Trojita is FTBFS currently in rawhide, I've noticed not before today via Koschei. I've to fix that first.

Besides that, I didn't manage how to reproduce the crash and then to debug further with valgrind. Still in the friendly hope some other users stumbles upon this.
Comment 14 Fedora End Of Life 2015-11-04 05:25:28 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-12-02 10:08:38 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.